Name:           uqm-balance-mod
Version:        2.08
Release:        21%{?dist}
Summary:        The Ur-Quan Masters with balance mod

%define uqm_name uqm

License:        GPLv2+
URL:            http://sc2.sourceforge.net/
Source0:        balance-mod-2.08.tar.gz
Source1:	uqm-0.7.0-content.uqm
Patch0:         %{uqm_name}-optflags.patch
Patch1:         uqm-str.patch
Patch2:         uqm-resload-balance.patch
Patch3:         uqm-balance-funcdecl.patch
Patch4:         uqm-balance-debug.patch
Patch5:         uqm-balance-libm.patch

BuildRequires:  SDL-devel >= 1.2.8
BuildRequires:  SDL_image-devel >= 1.2.4
BuildRequires:  ImageMagick
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libGLU-devel
BuildRequires:  libmikmod-devel
BuildRequires:  gcc


%description
The Ur-Quan Masters is a port of the classic game Star Control II to
modern systems.  The program code that comprises The Ur-Quan Masters
was derived from code written by Toys for Bob, Inc. for the 3DO
version of Star Control II, with their permission and encouragement.

%global debug_package %{nil}

%prep
%setup -qn balance-mod-2.08
find -type d -name CVS -exec rm -rf {} ';'
#%patch0 -p0
%patch -P 1 -p1 -R
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1

%build
echo INPUT_install_sharedir_VALUE=%{_datadir} > config.state
sed -i -e 's|@CONTENTDIR@|~/.uqm|g' -e 's|USERDIR .*$|USERDIR "~/.uqm-balance-mod"|g' src/config_unix.h.in
sh ./build.sh uqm < /dev/null
cd content/addons
zip -r Balance_mod_effects.zip balance


%install
strip uqm-improved-netmelee
install -Dpm 755 uqm-improved-netmelee $RPM_BUILD_ROOT/opt/uqm/uqm-balance-mod
install -Dpm 644 content/addons/Balance_mod_effects.zip $RPM_BUILD_ROOT/opt/uqm/Balance_mod_effects.zip
cp %{SOURCE1} $RPM_BUILD_ROOT/opt/uqm/content-0.7.uqm

%files
%license COPYING
%doc AUTHORS ChangeLog Contributing README
%doc WhatsNew doc/users/manual.txt
/opt/uqm/


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
